Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Class PortletInstance

    java.lang.Object
      com.bea.netuix.application.instance.PortletInstance

All Implemented Interfaces:
  PlaceableInstance, Serializable

public class PortletInstance
extends Object
implements Serializable, PlaceableInstance

Represents a customized version of a `PortletDefinition`.

See Also:
  Serialized Form

Field Summary
`protected LocalizationResource` | `localizationResource`

Constructor Summary
`PortletInstance(LocalizationResource localizationResource, ThemeDefinitionId themeDefinitionId, short titlebarOrientation, boolean defaultMinimized, String instanceLabel)` Constructor to create a new `PortletInstance` object.
`PortletInstance(LocalizationResource localizationResource, ThemeDefinitionId themeDefinitionId, short titlebarOrientation, boolean defaultMinimized, String instanceLabel, String producerHandle, String portletHandle, byte stateChangeFlag, boolean requiresUrlTemplates, boolean templatesStoredInSession, byte[] portletState, boolean producerOfferedPortlet)` Overloaded constructor to create a WSRP remote portlet.

Method Summary
`String` | `getDescription()` Retrieves this portlet's localized description from it's `LocalizationResource`.
`String` | `getInstanceLabel()` Returns the instance label for this portlet.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this portlet.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `PortletDefinition` based on the locale of the request used for retrieving the `PortletInstance`.
`PlaceableDefinition` | `getPlaceableDefinition()` Returns the `PlaceableDefinition` associated with this portlet.
`PlaceableInstanceId` | `getPlaceableInstanceId()` Returns the `PlaceableInstanceId` for the `PlaceableInstance`associated with this portlet.
`PlacementId` | `getPlacementId()` Returns the `PlacementId` for this portlet.
`PortletDefinition` | `getPortletDefinition()` Returns the `PortletDefinition` that this portlet was created from.
`PortletDefinitionId` | `getPortletDefinitionId()` Returns the `PortletDefinitionId` for the `PortletDefinition` that this portlet was created from.
`String` | `getPortletHandle()` Returns the portlet handle associated with this portlet if it is a WSRP remote portlet, `NULL` otherwise.
`PortletInstanceId` | `getPortletInstanceId()` Returns the `PortletInstanceId` for this portlet.
`byte[]` | `getPortletState()` Returns the portlet state for a WSRP remote portlet
`String` | `getProducerHandle()` Returns the producer handle associated with this portlet if it is a WSRP remote portlet, `NULL` otherwise.
`byte` | `getStateChangeFlag()` Returns state change flag associated with this portlet if it is a WSRP remote portlet.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `PortletInstance`.
`String` | `getTitle()` Retrieves this portlet's localized title from it's `LocalizationResource`.
`short` | `getTitlebarOrientation()` Returns the titlebar orientation for this `PortletInstance`
`boolean` | `isDefaultMinimized()` Returns if this portlet is minimized by default.
`boolean` | `isProducerOfferedPortlet()` Returns whether a WSRP remote portlet has not been customized by a WSRP consumer
`boolean` | `isRequiresUrlTemplates()` Returns whether a WSRP remote portlet requires url templates
`boolean` | `isTemplatesStoredInSession()` Returns whether url templates are stored in the HttpSession for a WSRP remote portlet
`void` | `setDefaultMinimized(boolean defaultMinimized)` Sets whether this portlet is default minimized.
`void` | `setDescription(String description)` Update the description for the current locale.
`void` | `setInstanceLabel(String instanceLabel)` Sets the instance label for this portlet.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this portlet.
`void` | `setPortletHandle(String portletHandle)` Sets the portlet handle for this portlet
`void` | `setPortletState(byte[] portletState)` Sets the portlet state for a WSRP remote portlet
`void` | `setProducerHandle(String producerHandle)` Sets the producer handle for this portlet
`void` | `setProducerOfferedPortlet(boolean producerOfferedPortlet)` Sets whether a WSRP remote portlet is customized by a WSRP consumer
`void` | `setRequiresUrlTemplates(boolean requiresUrlTemplates)` Sets whether a WSRP remote portlet requires url templates
`void` | `setStateChangeFlag(byte stateChangeFlag)` Sets state change flag
`void` | `setTemplatesStoredInSession(boolean templatesStoredInSession)` Sets whether url templates are stored in the HttpSession for a WSRP remote portlet
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this portlet.
`void` | `setTitle(String title)` Update the title for the current locale.
`void` | `setTitlebarOrientation(short titlebarOrientation)` Sets the titlebar orientation for this portlet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### localizationResource

    protected LocalizationResource localizationResource

Constructor Detail

### PortletInstance

    public PortletInstance(LocalizationResource localizationResource,
                           ThemeDefinitionId themeDefinitionId,
                           short titlebarOrientation,
                           boolean defaultMinimized,
                           String instanceLabel)

  Constructor to create a new `PortletInstance` object.

Parameters:
  `localizationResource` - localized title and description
  `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this portlet
  `titlebarOrientation` - orientation of the titlebar as defined by
  - `PortletView.ORIENTATION_LEFT`
  - `PortletView.ORIENTATION_RIGHT`
  - `PortletView.ORIENTATION_TOP`
  - `PortletView.ORIENTATION_BOTTOM`
  `defaultMinimized` - if this portlet is minimized by default
  `instanceLabel` - customized label for this portlet instance

### PortletInstance

    public PortletInstance(LocalizationResource localizationResource,
                           ThemeDefinitionId themeDefinitionId,
                           short titlebarOrientation,
                           boolean defaultMinimized,
                           String instanceLabel,
                           String producerHandle,
                           String portletHandle,
                           byte stateChangeFlag,
                           boolean requiresUrlTemplates,
                           boolean templatesStoredInSession,
                           byte[] portletState,
                           boolean producerOfferedPortlet)

  Overloaded constructor to create a WSRP remote portlet.

Parameters:
  `localizationResource` - localized title and description
  `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this portlet
  `titlebarOrientation` - orientation of the titlebar as defined by
  - `PortletView.ORIENTATION_LEFT`
  - `PortletView.ORIENTATION_RIGHT`
  - `PortletView.ORIENTATION_TOP`
  - `PortletView.ORIENTATION_BOTTOM`
  `defaultMinimized` - if this portlet is minimized by default
  `instanceLabel` - customized label for this portlet instance
  `producerHandle` - producer handle for the WSRP producer that offers portlet (specific to WSRP remote portlets)
  `portletHandle` - portlet handle of this portlet, (specific to WSRP remote portlets)
  `stateChangeFlag` - state change flag, (specific to WSRP remote portlets)
  `requiresUrlTemplates` - whether this portlet requires url templates (specific to WSRP remote portlets)
  `templatesStoredInSession` - whether the url templates are stored in the HttpSession (specific to WSRP remote portlets)
  `portletState` - the portlet state (specific to WSRP remote portlets)
  `producerOfferedPortlet` - if this remote portlet has not been customized by the WSRP consumer (specific to WSRP remote portlets)

Method Detail

### getPortletInstanceId

    public PortletInstanceId getPortletInstanceId()

  Returns the `PortletInstanceId` for this portlet. Returns `NULL` when the PortletInstance has not been retrieved by using the persistence API.

  Returns:
    `PortletInstanceId` for this portlet

### getPortletDefinition

    public PortletDefinition getPortletDefinition()

  Returns the `PortletDefinition` that this portlet was created from. Returns `NULL` when the PortletInstance has not been retrieved by using the persistence API.

  Returns:
    `PortletDefinition` for this portlet

### getPortletDefinitionId

    public PortletDefinitionId getPortletDefinitionId()

  Returns the `PortletDefinitionId` for the `PortletDefinition` that this portlet was created from. Returns `NULL` when the PortletInstance has not been retrieved by using the persistence API.

  Returns:
    `PortletDefinitionId` for this portlet

### getPlacementId

    public PlacementId getPlacementId()

  Returns the `PlacementId` for this portlet. May be `NULL` if this portlet is not placed or if it has not been retrieved using the persistence API.

  Specified by:
    `getPlacementId` in interface `PlaceableInstance`
  Returns:
    `PlacementId` for this portlet

### getPlaceableInstanceId

    public PlaceableInstanceId getPlaceableInstanceId()

  Returns the `PlaceableInstanceId` for the `PlaceableInstance`associated with this portlet. Returns `NULL` when the PortletInstance has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableInstanceId` in interface `PlaceableInstance`
  Returns:
    `PlaceableInstanceId` associated with this portlet
  See Also:
    `PlaceableInstance`

### getPlaceableDefinition

    public PlaceableDefinition getPlaceableDefinition()

  Returns the `PlaceableDefinition` associated with this portlet. Returns `NULL` when the PortletInstance has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableDefinition` in interface `PlaceableInstance`
  Returns:
    `PlaceableDefinition` associated with this portlet
  See Also:
    `PlaceableDefinition`

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this portlet. Returns `NULL` if no LocalizationResource is associated with this portlet. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns:
    `LocalizationIntersectionId` for this portlet

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `PortletDefinition` based on the locale of the request used for retrieving the `PortletInstance`.

  Returns:
    `LocalizationResource` associated with this portlet

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this portlet.

  Parameters:
    `localizationResource` -

### getTitle

    public String getTitle()

  Retrieves this portlet's localized title from it's `LocalizationResource`.

  Returns:
    localized title for this portlet

### getDescription

    public String getDescription()

  Retrieves this portlet's localized description from it's `LocalizationResource`.

  Returns:
    localized description for this portlet

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `PortletInstance`.

  Returns:
    `ThemeDefinitionId`

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this portlet.

  Parameters:
    `themeDefinitionId` - of theme associated with this portlet

### getInstanceLabel

    public String getInstanceLabel()

  Returns the instance label for this portlet.

  Returns:
    instance label

### setInstanceLabel

    public void setInstanceLabel(String instanceLabel)

  Sets the instance label for this portlet.

  Parameters:
    `instanceLabel` -

### getTitlebarOrientation

    public short getTitlebarOrientation()

  Returns the titlebar orientation for this `PortletInstance`

  Returns:
    menu orientation

### setTitlebarOrientation

    public void setTitlebarOrientation(short titlebarOrientation)

  Sets the titlebar orientation for this portlet

  Parameters:
    `titlebarOrientation` -

### isDefaultMinimized

    public boolean isDefaultMinimized()

  Returns if this portlet is minimized by default.

  Returns:
    true if this portlet is minimized by default

### setDefaultMinimized

    public void setDefaultMinimized(boolean defaultMinimized)

  Sets whether this portlet is default minimized.

  Parameters:
    `defaultMinimized` - true to set the portlet to minimized by default

### setTitle

    public void setTitle(String title)

  Update the title for the current locale.

  Parameters:
    `title` -

### setDescription

    public void setDescription(String description)

  Update the description for the current locale.

  Parameters:
    `description` -

### getProducerHandle

    public String getProducerHandle()

  Returns the producer handle associated with this portlet if it is a WSRP remote portlet, `NULL` otherwise.

  Returns:
    producer handle

### setProducerHandle

    public void setProducerHandle(String producerHandle)

  Sets the producer handle for this portlet

  Parameters:
    `producerHandle` -

### getPortletHandle

    public String getPortletHandle()

  Returns the portlet handle associated with this portlet if it is a WSRP remote portlet, `NULL` otherwise.

  Returns:
    portlet handle

### setPortletHandle

    public void setPortletHandle(String portletHandle)

  Sets the portlet handle for this portlet

  Parameters:
    `portletHandle` -

### getStateChangeFlag

    public byte getStateChangeFlag()

  Returns state change flag associated with this portlet if it is a WSRP remote portlet.

  Returns:
    state change flag

### setStateChangeFlag

    public void setStateChangeFlag(byte stateChangeFlag)

  Sets state change flag

  Parameters:
    `stateChangeFlag` -

### isRequiresUrlTemplates

    public boolean isRequiresUrlTemplates()

  Returns whether a WSRP remote portlet requires url templates

  Returns:
    true if portlet requires url templates

### setRequiresUrlTemplates

    public void setRequiresUrlTemplates(boolean requiresUrlTemplates)

  Sets whether a WSRP remote portlet requires url templates

  Parameters:
    `requiresUrlTemplates` -

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

  Returns whether url templates are stored in the HttpSession for a WSRP remote portlet

  Returns:
    true if url templates are stored in the HttpSession

### setTemplatesStoredInSession

    public void setTemplatesStoredInSession(boolean templatesStoredInSession)

  Sets whether url templates are stored in the HttpSession for a WSRP remote portlet

  Parameters:
    `templatesStoredInSession` -

### getPortletState

    public byte[] getPortletState()

  Returns the portlet state for a WSRP remote portlet

  Returns:
    portlet state

### setPortletState

    public void setPortletState(byte[] portletState)

  Sets the portlet state for a WSRP remote portlet

  Parameters:
    `portletState` -

### isProducerOfferedPortlet

    public boolean isProducerOfferedPortlet()

  Returns whether a WSRP remote portlet has not been customized by a WSRP consumer

  Returns:
    true if a WSRP remote portlet has not been customized by a WSRP consumer

### setProducerOfferedPortlet

    public void setProducerOfferedPortlet(boolean producerOfferedPortlet)

  Sets whether a WSRP remote portlet is customized by a WSRP consumer

  Parameters:
    `producerOfferedPortlet` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved